Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03722 Crash/Freeze Critical (emulator) Random Feb 9, 2010, 00:55 Nov 13, 2016, 12:23
Tester iveinsomnia View Status Public Platform
Assigned To Resolution Unable to reproduce OS
Status [?] Closed Driver ssv.cpp
Version 0.136u2 Fixed in Version Build Normal
Summary 03722: vasara2a: Unhandled OpCode found : 14 at 00000021
Description Vasara 2 (set 2)

Crash with output:
"Unhandled OpCode found : 14 at 00000021"
Steps To Reproduce Difficulty: Difficult
Ship: The green one
Cheat: no
Configuration: default game & hardware.
Level: 1 - in the center of the four shooting tower in my screen (few seconds after the start)

kill the four tower around the center and hit the center with the ship.
I've try like 12 times and wasn't able to reproduce.
Additional Information already done this level before without problems.
Flags
Regression Version
Affected Sets / Systems vasara2a
Attached Files
png file icon vasara2a.png (101,018 bytes) Feb 9, 2010, 11:54
Relationships
There are no relationsihp linked to this issue.
Notes
10
User avatar
No.05669
Haze
Senior Tester
Feb 9, 2010, 01:22
edited on: Feb 9, 2010, 01:23
one of the Vasara 2 sets is thought to be a bad dump, but it wasn't certain which one. If this only happens with the vasara2a set, then it seems likely that it's one one which is bad, and it should be removed. Having a reproducable inp test case to verify this and compare it with the other set would help a lot tho.. It could just be a game bug which can happen in either set. (the fatalerror may cause recording issues tho)

User avatar
No.05672
Fujix
Administrator
Feb 9, 2010, 10:51
edited on: Feb 9, 2010, 10:53
We need details where you experienced the crash to re-test the report, Easy or Difficult, which tower you shot, whether you used cheat or not, etc.
And could you post a screenshot where the crash occurred?

User avatar
No.05674
iveinsomnia
Tester
Feb 9, 2010, 12:02
Screen added and repro rewrited.
(sorry this is my first report in here, and my first "real" mame crash, also sorry for my english)
User avatar
No.05675
Fujix
Administrator
Feb 9, 2010, 17:20
Thanks for new info.

There are a lot of non-native English speakers here, me neither, you don't have to worry about it at all :-)
User avatar
No.05691
Fujix
Administrator
Feb 10, 2010, 13:42
I tried it more than 10 times but no repro.
I set this report "Acknowledged" status.
User avatar
No.05692
Haze
Senior Tester
Feb 10, 2010, 13:52
All I remember is that Brian Troha who dumped one of the sets said at one point there was a software glitch in his new programmer, which caused everything he'd dumped to have 2 bytes wrong, early on in the ROM.

At the time I couldn't remember which set was the one he dumped tho.

A binary compare of them, and analysis of the code (if it's a code region) might help you, although I can't remember if this was already done, and it was found to be data, hence it hard to draw a conclusion.

You might want to raise it with him?
User avatar
No.05706
Layne
Tester
Feb 11, 2010, 19:09
Talking with Brian about this bug, he said:

"Haze is not completly correct here. I dumped the original Vasara 2 set, the second set came from an alt source. The issue he refers to did happen with Eagle Shot Golf and the bad dump was removed. The program cause the actual rom to have a 0x00 at bytes 0x200 & 0x201... not the case with Vasara 2."
User avatar
No.05707
Haze
Senior Tester
Feb 11, 2010, 20:17
edited on: Feb 11, 2010, 20:18
Hmm.. Then why do I have an old note saved saying that the same problem applies to the Vasara2 set Brian dumped, and that I should follow up his email.. I wonder where that came from? Maybe I just typed the wrong set name when I made it?

User avatar
No.05708
Layne
Tester
Feb 11, 2010, 22:05
Brian added another comment:

"Load up a hex editor and check each Vasara 2 program and see if both bytes at 0x200 & 0x201 are 0x00 in each rom... I don't have a 64bit hex editor handy to check myself. Anyways the issue was only with TI 27C040 roms, as far as I know, no other roms were affected. If I read the same TI rom, but used the AMD manufacturer's settings, it read right."
User avatar
No.13357
Fujix
Administrator
Nov 13, 2016, 12:23
Cleaning up old reports.
No repro in 0.179. Closed the report.